body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
} 



/* define all colors as variables */
:root {
  --border: rgba(0,0,0,.2);
  --shadow: #000;
  --heading: rgba(255,100,0,1);
  --main: #1d8f13;
  --text: #000;
  --textAlt: #fff;
  --inactive: rgba(0,0,0,.3);
  --background: #fff;
}

/* elements that change color */
h1, 
p { 
  color: var(--text); 
}

h2 { 
  color: var(--heading); 
}

.Card, 
.Switch { 
  border-color: var(--border); 
}

.icon { 
  color: var(--inactive); 
}

.Card button {
  background: var(--main);
  color: var(--textAlt);
}

/* Transitons for smooth theme change */
*:not(body) {
  transition: all .5s ease;
}

/* All other styles */
body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background: var(--background);
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

/* .App {
  margin: 5% 15%;
} */

.Card {
  padding: 5%;
  border-width: 1px;
  border-style: solid;
  border-radius: 10px;
  box-shadow: 10px 10px 10px -10px black;
  margin-top: 3rem;
  height: auto;
}

.Card button {
  width: 100%;
  border-radius: 10px;
  height: 2rem;
  font-size: 1rem;
  box-shadow: 7px 7px 10px -10px black;
  font-weight: 700;
  border: none;
}

.Card .img {
  width: 100%;
  height: 200px;
  opacity: .9;
  background: url('https://www.fullstacklabs.co/img/developersReact/whylove_3.png') center;
  background-size: cover;
}

.Table {
  padding: 5%;
  border-width: 1px;
  border-style: solid;
  border-radius: 10px;
  box-shadow: 10px 10px 10px -10px black;
  margin-top: 3rem;
  height: auto;
}


.Switch {
  width: 4rem;
  height: 2rem;
  margin: 2rem 0;
  position: relative;
  border-radius: 10px;
  border-width: 1px;
  border-style: solid;
  box-sizing: border-box;
  display: flex;
  justify-content: space-around;
  align-items: center;
  box-shadow: 4px 4px 10px -3px black;
  background: none;
  padding: 0; 
}

.Switch .icon {
  font-size: 1.3rem;
}

.iconUser{
  font-size: 2.3rem;
}

button {
  outline: none;
  cursor: pointer;
}

.active {
  color: var(--heading);
}

/* @media (min-width: 450px) {
  .App {
    margin: 5% 20%;
  }
} */

/* @media (min-width: 700px) {
  .App {
    margin: 5% 30%;
  }
}

@media (min-width: 900px) {
  .App {
    margin: 5% 35%;
  }
}

@media (min-width: 1350px) {
  .App {
    margin: 5% 40%;
  }
} */